<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mini.capi.biz.mapper.ApiModuleMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mini.capi.biz.domain.ApiModule">
        <result column="module_id" property="moduleId" />
        <result column="module_name" property="moduleName" />
        <result column="module_code" property="moduleCode" />
        <result column="c_icon" property="cIcon" />
        <result column="c_href" property="cHref" />
        <result column="f_tenant_id" property="fTenantId" />
        <result column="f_flow_id" property="fFlowId" />
        <result column="f_flow_task_id" property="fFlowTaskId" />
        <result column="f_flow_state" property="fFlowState" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        module_id, module_name, module_code, c_icon, c_href, f_tenant_id, f_flow_id, f_flow_task_id, f_flow_state
    </sql>

</mapper>
